org.apache.olingo.commons.api.data

## Enum PropertyType

- java.lang.Object
- - java.lang.Enum<PropertyType>
  - - org.apache.olingo.commons.api.data.PropertyType

- All Implemented Interfaces:
    Serializable, Comparable<PropertyType>

      public enum PropertyType
      extends Enum<PropertyType>

  Enumeration for all OData property types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLLECTION` Collection.
    `COMPLEX` Complex.
    `EMPTY` Empty type (possibly, no type information could be retrieved).
    `ENUM` Enum.
    `PRIMITIVE` Primitive (including geospatial).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PropertyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIMITIVE

          public static final PropertyType PRIMITIVE

      Primitive (including geospatial).

    - #### ENUM

          public static final PropertyType ENUM

      Enum.

    - #### COLLECTION

          public static final PropertyType COLLECTION

      Collection.

    - #### COMPLEX

          public static final PropertyType COMPLEX

      Complex.

    - #### EMPTY

          public static final PropertyType EMPTY

      Empty type (possibly, no type information could be retrieved).

  - ### Method Detail

    - #### values

          public static PropertyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyType c : PropertyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.